package ru.landgrafhomyak.db.sql_skeleton_0.api.queries

public interface RawStatement<qUE : Any?> : _Statement<qUE> {
	public override val uExt: qUE

	public interface Void2Void<qUE : Any?> : RawStatement<qUE>, _Statement.Void2Void<qUE> {
		override val uExt: qUE

		public interface Constructor<qUE: Any?>
	}

	public interface Void2Row<qUE : Any> : RawStatement<qUE>, _Statement.Void2Row<qUE> {
		override val uExt: qUE

		public interface Constructor<qUE : Any>
	}

	public interface Void2RowOrNull<qUE : Any> : RawStatement<qUE>, _Statement.Void2RowOrNull<qUE> {
		override val uExt: qUE

		public interface Constructor<qUE : Any>
	}

	public interface Void2Table<qUE : Any> : RawStatement<qUE>, _Statement.Void2Table<qUE> {
		override val uExt: qUE

		public interface Constructor<qUE : Any>
	}

	public interface Params2Void<qUE : Any> : RawStatement<qUE>, _Statement.Params2Void<qUE> {
		override val uExt: qUE

		public interface Constructor<qUE : Any>
	}

	public interface Params2Row<qUE : Any> : RawStatement<qUE>, _Statement.Params2Row<qUE> {
		override val uExt: qUE

		public interface Constructor<qUE : Any>
	}

	public interface Params2RowOrNull<qUE : Any> : RawStatement<qUE>, _Statement.Params2RowOrNull<qUE> {
		override val uExt: qUE

		public interface Constructor<qUE : Any>
	}

	public interface Params2Table<qUE : Any> : RawStatement<qUE>, _Statement.Params2Table<qUE> {
		override val uExt: qUE

		public interface Constructor<qUE : Any>
	}
}